std::ranges::empty_view< _Tp > Class Template Reference

`#include <ranges>`

Inheritance diagram for std::ranges::empty_view< _Tp >:
[legend]

## Public Member Functions

constexpr decltype(auto) | back ()
constexpr decltype(auto) | front ()
constexpr | operator bool () noexcept(noexcept(ranges::empty(_M_derived())))
constexpr decltype(auto) | operator[] (range_difference_t< _Range > __n)

## Static Public Member Functions

static constexpr _Tp * | begin () noexcept
static constexpr _Tp * | data () noexcept
static constexpr bool | empty () noexcept
static constexpr _Tp * | end () noexcept
static constexpr size_t | size () noexcept

## Detailed Description

template<typename _Tp>
requires is_object_v<_Tp>
class std::ranges::empty_view< _Tp >

A view that contains no elements.

Definition at line 74 of file ranges.

## Member Function Documentation

## back()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::back | ( |  | ) |

inline constexpr inherited

Definition at line 158 of file ranges_util.h.

## begin()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::begin | ( |  | ) |

inline static constexpr noexcept

Definition at line 78 of file ranges.

## data()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::data | ( |  | ) |

inline static constexpr noexcept

Definition at line 80 of file ranges.

## empty()

template<typename _Tp>

constexpr bool std::ranges::empty_view< _Tp >::empty | ( |  | ) |

inline static constexpr noexcept

Definition at line 82 of file ranges.

## end()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::end | ( |  | ) |

inline static constexpr noexcept

Definition at line 79 of file ranges.

## front()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::front | ( |  | ) |

inline constexpr inherited

Definition at line 144 of file ranges_util.h.

## operator bool()

std::ranges::view_interface< empty_view< _Tp > >::operator bool | ( |  | ) |

inline explicit constexpr noexcept inherited

Definition at line 110 of file ranges_util.h.

## operator[]()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::operator[] | ( | range_difference_t< _Range > | __n | ) |

inline constexpr inherited

Definition at line 176 of file ranges_util.h.

## size()

template<typename _Tp>

constexpr size_t std::ranges::empty_view< _Tp >::size | ( |  | ) |

inline static constexpr noexcept

Definition at line 81 of file ranges.

The documentation for this class was generated from the following file:

- ranges